define(['marionette', 'delegation/recorder', 'hb!delegation/templates/record'], function (Marionette, Recorder, recordTemplate) {
  'use strict';

  var Record = Marionette.ItemView.extend({
    template: recordTemplate,

    events: {
      'click .pause': 'pauseRecorder',
      'click .resume': 'resumeRecorder',
      'click .stop': 'stopRecorder'
    },

    modelEvents: {
      'change': 'render',
    },

    initialize: function () {
      var self = this;
      G.vent.trigger('header-title:change', 'Delegacje');

      G.vent.on('record:distance', function (distance) {
        distance = Math.round(distance*10)/10;
        self.$el.find('#record-summary h1').html(distance + ' km');
      }, this);

      G.vent.on('record:status', function (status) {
        self.$el.find('.location-status span').hide();
        self.$el.find('.location-status .' + status).show();
      });
    },

    onRender: function () {
      G.vent.trigger('record:update');
    },

    pauseRecorder: function () {
      G.vent.trigger('record:pause');
      this.$el.find('.pause, .resume').toggleClass('hidden');
      return false;
    },

    resumeRecorder: function () {
      G.vent.trigger('record:resume');
      this.$el.find('.pause, .resume').toggleClass('hidden');
      return false;
    },

    stopRecorder: function () {
      G.vent.trigger('record:stop');
      return false;
    }
  });

  return Record;
});
