define(
  ['marionette', 'hb!diary/templates/view'],
  function (Marionette, diaryViewTemplate) {
  'use strict';

  var DiaryView = Marionette.ItemView.extend({
    template: diaryViewTemplate,

    events: {
      'click .delete': 'deleteDiary'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Dziennik zdarzeń');
    },

    deleteDiary: function () {
      if (!confirm('Czy jesteś pewien?')) return false;

      this.model.destroy({
        success: function (model, response) {
          G.navigate('diary');
        }
      });
      return false;
    }
  });

  return DiaryView;
});
