define(
  ['backbone', 'marionette', 'main/models/identity', 'delegation/recorder', 'json!config/modules.json'],
  function (Backbone, Marionette, IdentityModel, Recorder, modules) {
    'use strict';

    // globals - can be found in the window object
    return window.G = {
      offline: false,
      modules: modules,
      identity: new IdentityModel(),
      vent: new Backbone.Wreqr.EventAggregator(),
      routers: {},
      recorder: Recorder,

      // Shortcut to Backbone.Router.navigate
      // Options.trigger is set to TRUE by default
      navigate: function(fragment, options) {
        fragment || (fragment = '');
        options || (options = {});
        if (!options.hasOwnProperty('trigger')) {
          options.trigger = true;
        }
        Backbone.history.navigate(fragment, options);
      }
    };
  }
);
