/**
 * Currency formatting helper for handlebars
 * @author elwiz
 */
define(['handlebars'], function (Handlebars) {
  'use strict';

  Handlebars.registerHelper('currency', function(value, currency, options) {
	value = parseFloat(value) || 0;
	
    if ((arguments.length == 3)) {
		return value.toFixed(2) + ' ' + currency;
	} else if (value) {
		return value.toFixed(2);
	} else {
		return '';
	}
  });

  return {};
});
