/**
 * Date formatting helper for handlebars
 * @author elwiz
 */
define(['handlebars', 'moment'], function (Handlebars, moment) {
  'use strict';

  Handlebars.registerHelper('date', function(value, format, options) {
    if (arguments.length == 2) {

      // default application date format
      return moment(value).format(
        moment().isSame(value, 'day') ? 'HH:mm' : 'DD-MM-YYYY'
      );
    } else {

      // custom formatting
      return moment(value).format(format);
    }
  });

  return {};
});
