/**
 * Measurement helper for handlebars
 * @author elwiz
 */
define(['handlebars'], function (Handlebars) {
  'use strict';

  var length = function (v) {
    if (v instanceof Array) {
      return v.length;
    } else if (typeof v == 'string') {
      return v.length;
    } else if (typeof v == 'object') {
      return Object.keys(v).length;
    } else {
      return undefined;
    }
  };

  Handlebars.registerHelper('len-eq', function(v1, v2, options) {
    if (length(v1) == v2) {
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });

  Handlebars.registerHelper('len-gt', function(v1, v2, options) {
    if (length(v1) > v2) {
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });

  Handlebars.registerHelper('len-lt', function(v1, v2, options) {
    if (length(v1) < v2) {
      return options.fn(this);
    } else {
      return options.inverse(this);
    }
  });

  return {};
});
