require.config({
  baseUrl: 'js',

  paths: {
    underscore: 'libs/underscore',
    jQuery: 'libs/jquery',
    backbone: 'libs/backbone',
    'backbone.babysitter': 'libs/backbone.babysitter',
    'backbone.wreqr': 'libs/backbone.wreqr',
    marionette: 'libs/marionette',
    handlebars: 'libs/handlebars',
    moment: 'libs/moment',
    hbEq: 'libs/local/hb-helpers/eq',
    hbCurrency: 'libs/local/hb-helpers/currency',
    hbDate: 'libs/local/hb-helpers/date',
    hbRange: 'libs/local/hb-helpers/range',
    hbLen: 'libs/local/hb-helpers/len',
    domReady: 'libs/require-plugins/domready',
    text: 'libs/require-plugins/text',
    json: 'libs/require-plugins/json',
    hb: 'libs/require-plugins/hb'
  },

  shim: {
    underscore: {
      deps: [],
      exports: '_'
    },
    jQuery: {
      deps: [],
      exports: '$'
    },
    backbone: {
      deps: ['underscore', 'jQuery'],
      exports: 'Backbone'
    },
    marionette : {
      deps : ['backbone'],
      exports : 'Marionette'
    },
    handlebars: {
      deps: [],
      exports: 'Handlebars'
    },
    hb: {
      deps: ['handlebars', 'hbEq', 'hbCurrency', 'hbDate', 'hbRange', 'hbLen']
    }
  },
  hb: {
    location: ''
  }
});

require(['json!config/api.json'], function (config) {
  'use strict';

  // Load module configuration from a JSON file
  require.config({config: config});

  // Load and start the application
  require(['application', 'backbone'], function (Application, Backbone) {
    Application.start();
    Backbone.history.start();
  });
});
