define(['jQuery', 'marionette', 'hb!main/templates/login', 'module'], function ($, Marionette, loginTemplate, module) {
  'use strict';

  var Login = Marionette.ItemView.extend({

    template: loginTemplate,

    events: {
      'submit form': 'sendCredentials'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Logowanie');
    },

    sendCredentials: function (e) {
      var self = this;

      $.ajax({
        type: 'POST',
        url: module.config().url,
        data: this.$el.find('#login-form').serialize(),
        dataType: 'json',

        success: function(data, status, xhr) {
          G.identity.setUserToken(data.user_token);
          G.identity.setVehicleToken(data.vehicle_token);
          G.identity.verify();

          G.navigate('');
        },

        error: function (xhr, status, error) {
          switch (xhr.status) {
            case 400:
              self.$el.find('ul.errors')
                .empty()
                .append('<li> Nieprawidłowy e-mail lub hasło.')
              ;
              break;
            default:
              self.$el.find('ul.errors')
                .empty()
                .append('<li> Wystąpił problem podczas komunikacji z serwerem.')
              ;
          }
        }
      });

      return false;
    }
  });

  return Login;
});
