define(['marionette', 'hb!main/templates/menu'], function (Marionette, menuTemplate) {
  'use strict';

  var Menu = Marionette.ItemView.extend({
    template: menuTemplate,

    events: {
      'click': 'toggle',
      'click .logout': 'logout',
      'click .close': 'close'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      this.model.set('modules', G.modules);

      G.vent.on('menu:toggle', function () {
        this.toggle();
      }, this);
    },

    toggle: function () {
      this.$el.toggleClass('active');
    },

    logout: function (e) {
      this.model.clearUserToken();
      this.model.clearVehicleToken();
      this.model.verify();

      G.navigate('auth/login');
      e.preventDefault();
    },

    close: function (e) {
      navigator.app && navigator.app.exitApp && navigator.app.exitApp();
    }
  });

  return Menu;
});
