define(['marionette', 'hb!main/templates/overlays'], function (Marionette, overlaysTemplate) {
  'use strict';

  var Home = Marionette.ItemView.extend({

    template: overlaysTemplate,

    showSpinner: true,

    initialize: function () {
      G.vent.on('spinner:enable', function () {
        this.showSpinner = true;
      }, this);

      G.vent.on('spinner:disable', function () {
        G.vent.trigger('spinner:hide');
        this.showSpinner = false;
      }, this);

      G.vent.on('spinner:show', function () {
        if (this.showSpinner) {
          this.$el.find('#spinner').addClass('active');
        }
      }, this);

      G.vent.on('spinner:hide', function () {
        if (this.showSpinner) {
          this.$el.find('#spinner').removeClass('active');
        }
      }, this);
    }
  });

  return Home;
});
