define(['globals', 'marionette', 'hb!main/templates/vehicle-list-item'], function (G, Marionette, vehicleListItemTemplate) {
  'use strict';

  var VehicleListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: vehicleListItemTemplate,

    events: {
      'click': 'chooseVehicle'
    },

    modelEvents: {
      'change': 'render'
    },

    onRender: function() {
      if (this.model.get('token') == G.identity.getVehicleToken()) {
        this.$el.addClass('selected');
      }
    },

    chooseVehicle: function () {
      G.identity.setVehicleToken(this.model.get('token'));
      G.navigate('');
    }
  });

  return VehicleListItem;
});
