define(['jQuery', 'marionette'], function ($, Marionette) {
  'use strict';

  var PaymentsRouter = Marionette.AppRouter.extend({

    routes: {
      'payment': 'paymentList',
      'payment/view/:id': 'paymentView'
    },

    paymentList: function () {
      this._ifLogged(function () {
        require(['application', 'payment/views/list', 'payment/collections/payment'], function (application, PaymentListView, PaymentCollection) {
          var collection = new PaymentCollection(),
              view = new PaymentListView({collection: collection});

          application.main.show(view);
          collection.fetch();
        });
      });
    },

    paymentView: function (id) {
      this._ifLogged(function () {
        require(['application', 'payment/views/view', 'payment/models/payment'], function (application, PaymentViewView, PaymentModel) {
          var model = new PaymentModel({id: id}),
              view = new PaymentViewView({model: model});

          application.main.show(view);
          model.fetch();
        });
      });
    },

    // Shortcut to main routers _ifLogged method
    _ifLogged: function (callback) {
      G.routers.main._ifLogged.call(this, callback);
    }
  });

  return PaymentsRouter;
});
