define(['marionette', 'hb!payment/templates/list-item'], function (Marionette, paymentListItemTemplate) {
  'use strict';

  var PaymentListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: paymentListItemTemplate,

    events: {
      'click': 'viewPayment'
    },

    modelEvents: {
      'change': 'render'
    },

    onRender: function () {
      this.model.get('is_paid') ? this.$el.addClass('paid') : this.$el.removeClass('paid');
    },

    viewPayment: function () {
      G.navigate('payment/view/' + this.model.get('id'));
    }
  });

  return PaymentListItem;
});
