define(
  ['marionette', 'hb!penalty/templates/view'],
  function (Marionette, penaltyViewTemplate) {
  'use strict';

  var PenaltyView = Marionette.ItemView.extend({
    template: penaltyViewTemplate,

    events: {
      'click .delete': 'deletePenalty'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Punkty karne');
    },

    deletePenalty: function () {
      if (!confirm('Czy jesteś pewien?')) return false;

      this.model.destroy({
        success: function (model, response) {
          G.navigate('penalty');
        }
      });
      return false;
    }
  });

  return PenaltyView;
});
