define(['marionette'], function (Marionette) {
  'use strict';

  var RefuelRouter = Marionette.AppRouter.extend({

    routes: {
      'refuel': 'refuelList',
      'refuel/add': 'addRefuel',
      'refuel/view/:id': 'viewRefuel',
      'refuel/edit/:id': 'editRefuel'
    },

    refuelList: function () {
      this._ifLogged(function () {
        require(['application', 'refuel/views/list', 'refuel/collections/refuel'], function (application, RefuelListView, RefuelCollection) {
          var collection = new RefuelCollection(),
              view = new RefuelListView({collection: collection});

          application.main.show(view);
          collection.fetch();
        });
      });
    },

    addRefuel: function () {
      this._ifLogged(function () {
        require(['application', 'refuel/views/add', 'refuel/models/refuel'], function (application, RefuelAddView, RefuelModel) {
          var model = new RefuelModel(),
              view = new RefuelAddView({model: model});

          application.main.show(view);
        });
      });
    },

    viewRefuel: function (id) {
      this._ifLogged(function () {
        require(['application', 'refuel/views/view', 'refuel/models/refuel'], function (application, RefuelViewView, RefuelModel) {
          var model = new RefuelModel({id: id}),
              view = new RefuelViewView({model: model});

          application.main.show(view);
          model.fetch();
        });
      });
    },

    editRefuel: function (id) {
      this._ifLogged(function () {
        require(['application', 'refuel/views/edit', 'refuel/models/refuel'], function (application, RefuelAddView, RefuelModel) {
          var model = new RefuelModel({id: id}),
              view = new RefuelAddView({model: model});

          application.main.show(view);
          model.fetch();
        });
      });
    },

    // Shortcut to main routers _ifLogged method
    _ifLogged: function (callback) {
      G.routers.main._ifLogged.call(this, callback);
    }
  });

  return RefuelRouter;
});
