define(
  ['marionette', 'hb!refuel/templates/view'],
  function (Marionette, refuelViewTemplate) {
  'use strict';

  var RefuelView = Marionette.ItemView.extend({
    template: refuelViewTemplate,

    events: {
      'click .delete': 'deleteRefuel'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Tankowania');
    },

    deleteRefuel: function () {
      if (!confirm('Czy jesteś pewien?')) return false;

      this.model.destroy({
        success: function (model, response) {
          G.navigate('refuel');
        }
      });
      return false;
    }
  });

  return RefuelView;
});
