define(['marionette', 'hb!request/templates/list-item'], function (Marionette, requestListItemTemplate) {
  'use strict';

  var RequestListItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: requestListItemTemplate,

    events: {
      'click': 'viewRequest'
    },

    modelEvents: {
      'change': 'render'
    },

    onRender: function () {
      this.model.get('unread_user_count') ? this.$el.addClass('unread') : this.$el.removeClass('unread');
    },

    viewRequest: function () {
      G.navigate('request/view/' + this.model.get('id'));
    }
  });

  return RequestListItem;
});
