define(['marionette', 'hb!search/templates/details'], function (Marionette, searchDetailsTemplate) {
  'use strict';

  var SearchDetails = Marionette.ItemView.extend({
    template: searchDetailsTemplate,

    events: {
      'click address': 'openMap',
      'click .history-back': 'goBack'
    },

    modelEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Wyniki wyszukiwania');
    },

    openMap: function () {
      window.open(
        'https://maps.google.com/maps?q=loc:' + this.model.get('center_lat') + ',' + this.model.get('center_lng'),
        '_system', 'location=no'
      );
    },

    goBack: function () {
      history.back();
      return false;
    }
  });

  return SearchDetails;
});
