define(['marionette'], function (Marionette) {
  'use strict';

  var SearchResultItem = Marionette.ItemView.extend({
    tagName: 'li',
    template: _.template(''),

    modelEvents: {
      'change': 'render'
    },

    googleMap: null,
    googleMapBounds: null,
    marker: null,

    initialize: function (options) {
      _.bindAll(this, 'onMarkerClick');

      this.googleMap = options.googleMap;
      this.googleMapBounds = options.googleMapBounds;
    },

    onShow: function () {
      this.marker = new google.maps.Marker({
        position: {
          lat: parseFloat(this.model.get('center_lat')),
          lng: parseFloat(this.model.get('center_lng'))
        },
        map: this.googleMap
      });

      this.googleMapBounds.extend(this.marker.getPosition());
      this.googleMap.setCenter(this.googleMapBounds.getCenter());
      this.googleMap.fitBounds(this.googleMapBounds);

      this.marker.addListener('click', this.onMarkerClick);
    },

    onMarkerClick: function (e) {
      G.navigate('search/details/' + this.model.get('id'));
    }
  });

  return SearchResultItem;
});
