define(
  ['marionette', 'search/views/result-map-item', 'hb!search/templates/result-map'],
  function (Marionette, SearchResultMapItem, searchResultMapTemplate) {
  'use strict';

  var SearchResultMap = Marionette.CompositeView.extend({
    template: searchResultMapTemplate,

    itemView: SearchResultMapItem,

    itemViewContainer: 'ul',

    collectionEvents: {
      'change': 'render'
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Wyniki wyszukiwania');
    },

    googleMap: null,
    googleMapBounds: null,

    itemViewOptions: function () {
      return {
        googleMap: this.googleMap,
        googleMapBounds: this.googleMapBounds
      };
    },

    onShow: function () {
      this.googleMap = new google.maps.Map(document.getElementById('search-result-map'), {
        disableDefaultUI: true,
        mapTypeControl: false,
        zoomControl: true,
        maxZoom: 18,
        minZoom: 5,
        zoom: 5,
        center: {lat: 52, lng: 19}
      });

      this.googleMapBounds = new google.maps.LatLngBounds();
    },

    serializeData: function () {
      return {
        query: this.collection.query
      };
    }
  });

  return SearchResultMap;
});
