define(['jQuery', 'marionette'], function ($, Marionette) {
  'use strict';

  var StaticRouter = Marionette.AppRouter.extend({
    routes: {
      'static/stat': 'showStat',
      'static/info': 'showInfo'
    },

    showStat: function () {
      this._ifLogged(function () {
        require(['application', 'static/views/stat-list', 'static/collections/stat'], function (application, StaticStatView,StaticStatCollection) {
          var collection = new StaticStatCollection(),
              view = new StaticStatView({collection: collection});

          application.main.show(view);
          collection.fetch();
        });
      });
    },

    showInfo: function () {
      this._ifLogged(function () {
        require(['application', 'static/views/info', 'static/models/info'], function (application, StaticInfoView, StaticInfoModel) {
          var model = new StaticInfoModel(),
              view = new StaticInfoView({model: model});

          application.main.show(view);
          model.fetch();
        });
      });
    },

    // Shortcut to main routers _ifLogged method
    _ifLogged: function (callback) {
      G.routers.main._ifLogged.call(this, callback);
    }
  });

  return StaticRouter;
});
