define(
  ['marionette', 'hb!static/templates/info'],
  function (Marionette, staticInfoTemplate) {
  'use strict';

  var InfoView = Marionette.ItemView.extend({
    template: staticInfoTemplate,

    modelEvents: {
      'change': 'prettify render'
    },
    
    prettify: function(e) {
        var make = this.model.get('model_make_id');
        if (make) {
            make = make.replace(/^[a-z]/, function($1) {
                return $1.toUpperCase();
            });
        this.model.set('model_make_id', make);
        }
 
        var oilType = this.model.get('oil_type');
        if (oilType) {
            oilType = oilType.replace(/^[a-z]/, function($1) {
                return $1.toUpperCase();
            });
            this.model.set('oil_type', oilType);
        }
    },

    initialize: function () {
      G.vent.trigger('header-title:change', 'Informacje');
    }
  });

  return InfoView;
});
